summaryrefslogtreecommitdiff
path: root/tools/power/cpupower/cpupower.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/power/cpupower/cpupower.sh')
-rw-r--r--tools/power/cpupower/cpupower.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/power/cpupower/cpupower.sh b/tools/power/cpupower/cpupower.sh
index a37dd4cfdb2b..6283e8bf275d 100644
--- a/tools/power/cpupower/cpupower.sh
+++ b/tools/power/cpupower/cpupower.sh
@@ -23,4 +23,10 @@ then
cpupower set -b "$PERF_BIAS" > /dev/null || ESTATUS=1
fi
+# apply Energy Performance Preference
+if test -n "$EPP"
+then
+ cpupower set -e "$EPP" > /dev/null || ESTATUS=1
+fi
+
exit $ESTATUS